
/*
 *
 * display.h - part of Danovitsch Webcam
 *
 * Copyright (C) 2001 by Daan Vreeken
 *
 * Published under the terms of the GNU Public License 2.0
 * (or any later version)
 *
 */




#include <X11/Xlib.h>
#include <X11/Xutil.h>



struct Display_Wnd
{
	Display			*Dsp;
	Window			Wnd;
	int			Scr;
	GC			MyGC;
	unsigned long		Black;
	unsigned long		White;
	Visual			*Vis;
	XVisualInfo		*VisInfo;
	int			MyDepth;
	int			Bpp;

	XImage			*XImg;
	char			*Buffer;
	
	int			ImgWidth;
	int			ImgHeight;
};


typedef struct Display_Wnd	XWnd;



extern int Display_MakeGC(XWnd *W);
extern XWnd *Display_CreateWindow(void);
extern void Display_CreateImage(XWnd *W, int Width, int Height);
extern void Display_DestroyImage(XWnd *W);
extern void Display_UpdateImage(XWnd *W);
extern void Display_ResizeWindow(XWnd *W, int Width, int Height);
extern void Display_Init(void);
extern void Display_Kill(XWnd *W);





