
/*
 *
 * http.h - part of Danovitsch Webcam
 *
 * Copyright (C) 2001 by Daan Vreeken
 *
 * Published under the terms of the GNU Public License 2.0
 * (or any later version)
 *
 */





#define HTTP_MaxContentLength		256




struct HTTP_ResponseArr
{
	int		Code;
	const char	*Header;

	int		IsError;
	char		*ErrorDocument;
};





extern struct Connection	*Server_CurrentConnection;




extern char *HTTP_GetPostData(struct Connection *C, char *Name);
extern void HTTP_FileSettings(struct Connection *C, char *FileName);
extern void HTTP_FileStats(struct Connection *C, char *FileName);
extern void HTTP_FileWebcam(struct Connection *C, char *FileName);


extern struct HTTP_ResponseArr	HTTP_Responses[];


typedef void (*HTTP_FileHandler)(struct Connection *C, char *FileName);


struct HTTP_FileArr
{
	const char		*Name;
	const char		*ContentType;
	HTTP_FileHandler	Handler;
};


extern struct HTTP_FileArr	HTTP_Files[];


extern void HTTP_Header(struct Connection *C, int Code, char *ContentType);
extern void HTTP_Response(struct Connection *C);




